Bug 1760734 - [RFE] Provide CIS profile for RHEL8
Summary: [RFE] Provide CIS profile for RHEL8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: scap-security-guide
Version: 8.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: rc
: 8.0
Assignee: Watson Yuuma Sato
QA Contact: Matus Marhefka
Jan Fiala
URL:
Whiteboard:
Depends On:
Blocks: 1888915
TreeView+ depends on / blocked
 
Reported: 2019-10-11 08:07 UTC by Steffen Froemer
Modified: 2020-12-01 14:18 UTC (History)
12 users (show)

Fixed In Version: scap-security-guide-0.1.50-4.el8
Doc Type: Enhancement
Doc Text:
.SCAP Security Guide now provides a profile aligned with the CIS RHEL 8 Benchmark v1.0.0 With this update, the `scap-security-guide` packages provide a profile aligned with the CIS Red Hat Enterprise Linux 8 Benchmark v1.0.0. The profile enables you to harden the configuration of the system using the guidelines by the Center for Internet Security (CIS). As a result, you can configure and automate compliance of your RHEL 8 systems with CIS by using the CIS Ansible Playbook and the CIS SCAP profile. Note that the `rpm_verify_permissions` rule in the CIS profile does not work correctly.
Clone Of:
Environment:
Last Closed: 2020-11-04 02:29:53 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:4626 0 None None None 2020-11-04 02:30:13 UTC

Description Steffen Froemer 2019-10-11 08:07:59 UTC
1. Proposed title of this feature request

[RFE] Provide C2S profile in OpenScap


3. What is the nature and description of the request?
Customers require the C2S security profile to setup their systems based on this security catalog. 

4. Why does the customer need this? (List the business requirements here)
It's a security based requirement. Systems without this criteria, are not able to use in production.

5. How would the customer like to achieve this? (List the functional requirements here)
RHEL-8 systems should be able to use the C2S security profile during installation.


6. For each functional requirement listed, specify how Red Hat and the customer can test to confirm the requirement is successfully implemented.
Select C2S profile during installation


7. Is there already an existing RFE upstream or in Red Hat Bugzilla?
no

8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?
RHEL8 asap


9. Is the sales team involved in this request and do they have any additional input?
no


10. List any affected packages or components.
OpenScap, Anaconda


11. Would the customer be able to assist in testing this functionality if implemented?
yes

Comment 3 Marek Haicman 2020-03-26 13:06:39 UTC
Hello Steffen, you are asking here for C2S profile, that is U.S. Government Commercial Cloud Services (C2S) baseline inspired by the Center for Internet Security baseline (CIS) (there are some deliberate differences). Is that really what you are asking for? Or it's the CIS you seek?

Comment 7 Marek Haicman 2020-04-30 13:57:09 UTC
After double checking with the requestors we have realized that what is needed here is CIS profile, not C2S. (C2S is profile inspired by CIS but is not identical. It is also currently the only CIS alternative shipped with RHEL7, until Bug 1821633 gets fixed - that was the cause of confusion).

Changing topic of this BZ to CIS, to clear things up.

Comment 8 Marek Haicman 2020-04-30 14:05:50 UTC
Steffen, just to make very clear what will be sufficient for the customers - they are interested in the hardening during installation. We have been getting a lot of request for Ansible coverage lately. As the installation hardening and ansible hardening are two different pieces of code, so to say, can you check if customers have any expectations about Ansible? Thanks!

Comment 9 Steffen Froemer 2020-05-04 04:44:07 UTC
For my customers the hardening happen during installation already. There is no need of ansible for them. The priority is on availability of CIS profile during installation.

Comment 37 West Coile 2020-10-31 03:42:24 UTC
For some US federal government users, the lack of the CIS/C2S profile on installation is hindering adoption of RHEL8. It would be great to see some movement on addressing this bug.

Comment 39 errata-xmlrpc 2020-11-04 02:29:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (scap-security-guide bug fix and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:4626

Comment 40 Marek Haicman 2020-12-01 14:18:17 UTC
*** Bug 1888722 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.